<html>
<head>
<title>TestNG:  Default test</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Default test</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>7/0/0</td>
</tr><tr>
<td>Started on:</td><td>Sun Jan 19 23:28:47 IST 2020</td>
</tr>
<tr><td>Total time:</td><td>11 seconds (11369 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='Testing.verifyDeleteMethod()'><b>verifyDeleteMethod</b><br>Test class: Testing<br>Test method: Verify whether card is deleted or not</td>
<td></td>
<td>1</td>
<td>Testing@26aa12dd</td></tr>
<tr>
<td title='Testing.verifyDeleteMethod_forCardNotExisting()'><b>verifyDeleteMethod_forCardNotExisting</b><br>Test class: Testing<br>Test method: Verify whether card can be deleted again</td>
<td></td>
<td>0</td>
<td>Testing@26aa12dd</td></tr>
<tr>
<td title='Testing.verifyGetMethod()'><b>verifyGetMethod</b><br>Test class: Testing<br>Test method: Verify whether card is fetched or not</td>
<td></td>
<td>0</td>
<td>Testing@26aa12dd</td></tr>
<tr>
<td title='Testing.verifyGetMethod_forCardNotExisting()'><b>verifyGetMethod_forCardNotExisting</b><br>Test class: Testing<br>Test method: Verify whether card can be fetched after deleting</td>
<td></td>
<td>0</td>
<td>Testing@26aa12dd</td></tr>
<tr>
<td title='Testing.verifyHeader()'><b>verifyHeader</b><br>Test class: Testing</td>
<td></td>
<td>3</td>
<td>Testing@26aa12dd</td></tr>
<tr>
<td title='Testing.verifySaveMethod()'><b>verifySaveMethod</b><br>Test class: Testing<br>Test method: Verify whether card is saved or not</td>
<td></td>
<td>3</td>
<td>Testing@26aa12dd</td></tr>
<tr>
<td title='Testing.verifySaveMethod_forWrongDetails()'><b>verifySaveMethod_forWrongDetails</b><br>Test class: Testing<br>Test method: Verify whether card with wrong details can be saved or not</td>
<td></td>
<td>0</td>
<td>Testing@26aa12dd</td></tr>
</table><p>
</body>
</html>